openmolecules.org

 
Home » DataWarrior » Bug Reports » Trying to build OpenChemLib
Trying to build OpenChemLib [message #422] Thu, 08 November 2018 18:16 Go to next message
bruno.b is currently offline  bruno.b
Messages: 13
Registered: October 2014
Location: Germaniy
Junior Member

I tried to build the latest OpenChemLib and got an error message:

ant
Buildfile: build.xml

compile:
[javac] Compiling 302 source files to /home/bruno/Java/openchemlib/build
[javac] warning: [options] bootstrap class path not set in conjunction with -source 1.5
[javac] error: Source option 1.5 is no longer supported. Use 1.6 or later.
[javac] error: Target option 1.5 is no longer supported. Use 1.6 or later.

BUILD FAILED
/home/bruno/Java/openchemlib/build.xml:25: Compile failed; see the compiler error output for details.

Total time: 0 seconds


java -version
java version "9.0.1"
Java(TM) SE Runtime Environment (build 9.0.1+11)
Java HotSpot(TM) 64-Bit Server VM (build 9.0.1+11, mixed mode)


Bruno
Re: Trying to build OpenChemLib [message #423 is a reply to message #422] Fri, 09 November 2018 09:05 Go to previous messageGo to next message
bruno.b is currently offline  bruno.b
Messages: 13
Registered: October 2014
Location: Germaniy
Junior Member
I tried with an older Java installation, and it worked.


Bruno
Re: Trying to build OpenChemLib [message #424 is a reply to message #423] Sun, 11 November 2018 11:36 Go to previous message
thomas is currently offline  thomas
Messages: 164
Registered: June 2014
Senior Member
Hi Bruno,

thank you for noticing. We will change that immediately. You could probably also just change the "-source 1.5" option in the build.xml yourself to make it compatible with JDK 9.

Thomas
Previous Topic: Uncaught Exception: null
Goto Forum:
  


Current Time: Tue Nov 20 00:40:17 CET 2018

Total time taken to generate the page: 0.00687 seconds